In contrast to the Update Category endpoint - PUT /categories/{id}, which fully overwrites the category details, this endpoint allows for selective modification of specific details, such as fixing any typos present in category names as well as facilitating addition or removal of category attributes or product attributes.
S2S access token (JWT) from fabric Identity service (during Login)
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"517fa9dfd42d8b00g1o3k312"
Unique request ID
"263e731c-45c8-11ed-b878-0242ac120002"
24-character system-generated category ID
Category details that needs to be updated
Partial update of category such as replacing category name or adding, replacing, or removing category attributes or product attributes from a category.
1OK
Category details
24-character system-generated category ID
"53184766610c0e32a86d875"
Non-localized category name
"Color"
Localized properties of category
{
"en-US": { "name": "Color" },
"en-IN": { "name": "Colour" }
}true: Category name is translated into different languages or localized for different regions
false: Category name isn't localized Note: Refer to localizedProperties to get relevant details based on locale
true
true: This is a root category
false: This isn't a root category
true
true: This is the last category of the branch with no further children categories
false: This isn't the last category of the branch and has children categories
false
true: This is the leaf category of the branch which has some products in it
false: This branch doesn't have any direct products assigned to it
true
Attributes assigned to the specified category
Attributes assigned for all products in the specified category.
System-generated 24-character product IDs associated with a category
Immediate children of the specified category
Email of user who last update the category
Time of last update to category
"2023-04-20T10:24:36.162Z"
Time of category creation
"2021-04-20T10:24:36.162Z"